@rem
@rem MAKELIB.BAT
@rem   This batch file compiles the UICLASS source files and makes .LIB
@rem   files for either 16-bit, 32-bit, or both.
@rem
@rem USAGE:  MAKELIB {16} {32}
@rem
@rem
@echo off
if '%1'=='' goto help

:start
if '%1'=='' goto end
if '%1'=='16' goto do16
if '%1'=='32' goto do32
goto help

:do16
bcc -WX -x- -RT- -ml -v -c  uisel.cpp uiwin.cpp uimov.cpp uictl.cpp uidmp.cpp uisvu.cpp uides.cpp
del uicls16.lib > nul
tlib uicls16.lib +uisel +uiwin +uimov +uictl +uidmp +uisvu +uides
shift
goto start

:do32
bcc32 -WX -x- -RT- -v -c uisel.cpp uiwin.cpp uimov.cpp uictl.cpp uidmp.cpp uisvu.cpp uides.cpp
del uicls32.lib > nul
tlib uicls32.lib +uisel +uiwin +uimov +uictl +uidmp +uisvu +uides
shift
goto start

:help
echo Usage: MAKELIB {16} {32}

:end
echo Done.